unit ServerSentEvent;

interface

type

HCkString = Pointer;
HCkServerSentEvent = Pointer;


function CkServerSentEvent_Create: HCkServerSentEvent; stdcall;
procedure CkServerSentEvent_Dispose(handle: HCkServerSentEvent); stdcall;
procedure CkServerSentEvent_getData(objHandle: HCkServerSentEvent; outPropVal: HCkString); stdcall;

function CkServerSentEvent__data(objHandle: HCkServerSentEvent): PWideChar; stdcall;

procedure CkServerSentEvent_getDebugLogFilePath(objHandle: HCkServerSentEvent; outPropVal: HCkString); stdcall;

procedure CkServerSentEvent_putDebugLogFilePath(objHandle: HCkServerSentEvent; newPropVal: PWideChar); stdcall;

function CkServerSentEvent__debugLogFilePath(objHandle: HCkServerSentEvent): PWideChar; stdcall;

procedure CkServerSentEvent_getEventName(objHandle: HCkServerSentEvent; outPropVal: HCkString); stdcall;

function CkServerSentEvent__eventName(objHandle: HCkServerSentEvent): PWideChar; stdcall;

procedure CkServerSentEvent_getLastErrorHtml(objHandle: HCkServerSentEvent; outPropVal: HCkString); stdcall;

function CkServerSentEvent__lastErrorHtml(objHandle: HCkServerSentEvent): PWideChar; stdcall;

procedure CkServerSentEvent_getLastErrorText(objHandle: HCkServerSentEvent; outPropVal: HCkString); stdcall;

function CkServerSentEvent__lastErrorText(objHandle: HCkServerSentEvent): PWideChar; stdcall;

procedure CkServerSentEvent_getLastErrorXml(objHandle: HCkServerSentEvent; outPropVal: HCkString); stdcall;

function CkServerSentEvent__lastErrorXml(objHandle: HCkServerSentEvent): PWideChar; stdcall;

procedure CkServerSentEvent_getLastEventId(objHandle: HCkServerSentEvent; outPropVal: HCkString); stdcall;

function CkServerSentEvent__lastEventId(objHandle: HCkServerSentEvent): PWideChar; stdcall;

function CkServerSentEvent_getLastMethodSuccess(objHandle: HCkServerSentEvent): wordbool; stdcall;

procedure CkServerSentEvent_putLastMethodSuccess(objHandle: HCkServerSentEvent; newPropVal: wordbool); stdcall;

function CkServerSentEvent_getRetry(objHandle: HCkServerSentEvent): Integer; stdcall;

function CkServerSentEvent_getVerboseLogging(objHandle: HCkServerSentEvent): wordbool; stdcall;

procedure CkServerSentEvent_putVerboseLogging(objHandle: HCkServerSentEvent; newPropVal: wordbool); stdcall;

procedure CkServerSentEvent_getVersion(objHandle: HCkServerSentEvent; outPropVal: HCkString); stdcall;

function CkServerSentEvent__version(objHandle: HCkServerSentEvent): PWideChar; stdcall;

function CkServerSentEvent_LoadEvent(objHandle: HCkServerSentEvent; eventText: PWideChar): wordbool; stdcall;

implementation

{$Include chilkatDllPath.inc}

function CkServerSentEvent_Create; external DLLName;
procedure CkServerSentEvent_Dispose; external DLLName;
procedure CkServerSentEvent_getData; external DLLName;
function CkServerSentEvent__data; external DLLName;
procedure CkServerSentEvent_getDebugLogFilePath; external DLLName;
procedure CkServerSentEvent_putDebugLogFilePath; external DLLName;
function CkServerSentEvent__debugLogFilePath; external DLLName;
procedure CkServerSentEvent_getEventName; external DLLName;
function CkServerSentEvent__eventName; external DLLName;
procedure CkServerSentEvent_getLastErrorHtml; external DLLName;
function CkServerSentEvent__lastErrorHtml; external DLLName;
procedure CkServerSentEvent_getLastErrorText; external DLLName;
function CkServerSentEvent__lastErrorText; external DLLName;
procedure CkServerSentEvent_getLastErrorXml; external DLLName;
function CkServerSentEvent__lastErrorXml; external DLLName;
procedure CkServerSentEvent_getLastEventId; external DLLName;
function CkServerSentEvent__lastEventId; external DLLName;
function CkServerSentEvent_getLastMethodSuccess; external DLLName;
procedure CkServerSentEvent_putLastMethodSuccess; external DLLName;
function CkServerSentEvent_getRetry; external DLLName;
function CkServerSentEvent_getVerboseLogging; external DLLName;
procedure CkServerSentEvent_putVerboseLogging; external DLLName;
procedure CkServerSentEvent_getVersion; external DLLName;
function CkServerSentEvent__version; external DLLName;
function CkServerSentEvent_LoadEvent; external DLLName;



end.
